Package Details: python2-pwntools 3.13.0beta0-4

Git Clone URL: https://aur.archlinux.org/python2-pwntools.git (read-only, click to copy)
Package Base: python2-pwntools
Description: A CTF framework and exploit development library.
Upstream URL: https://github.com/Gallopsled/pwntools
Keywords: binary capture ctf defcon exploit flag heap overflow pwntools stack the wargame
Licenses: GPL2, BSD, MIT
Conflicts: python2-pwntools
Provides: python2-pwntools
Submitter: lantw44
Maintainer: xtrm0
Last Packager: xtrm0
Votes: 9
Popularity: 0.000000
First Submitted: 2015-09-02 02:18
Last Updated: 2018-09-30 21:01

Latest Comments

1 2 Next › Last »

Powersource commented on 2020-04-14 20:00

Ah, apparently there's pwntools for python 3 now so I'll use that instead https://www.archlinux.org/packages/community/any/python-pwntools/

Powersource commented on 2019-11-28 23:00

This depends on the package python2-capstone which doesn't seem to exist anymore. I already have it installed since before, but people installing this new might run into problems.

io12 commented on 2019-11-10 00:00

It would be awesome if this were updated to the latest release v3.13.0

attenuation commented on 2018-11-17 04:51

Traceback (most recent call last):
  File "stage1.py", line 5, in <module>
    rop = ROP('./ctf-challenges/pwn/stackoverflow/ret2dlresolve/XDCTF-2015/main')
  File "/usr/lib/python2.7/site-packages/pwnlib/rop/rop.py", line 456, in __init__
    import ropgadget
ImportError: No module named ropgadget

please add dependence python2-ropgadget

xtrm0 commented on 2018-09-30 21:01

@ishitatsuyuki, is it ok now?

ishitatsuyuki commented on 2018-09-25 02:38

The latest PKGBUILD is broken.

/home/ishitatsuyuki/build/python2-pwntools/PKGBUILD: line 39: cd: /home/ishitatsuyuki/build/python2-pwntools/src/pwntools-3.13.0beta0: No such file or directory

anthraxx commented on 2018-03-20 12:08

@Firmy: because sources have to be unique across everything, as SRCDEST can be used from makepkg as for a shared storage location which would clash with different tools but same versions (like tool A and B both ship v1.0.tar.gz)

ishitatsuyuki commented on 2017-11-29 07:33

pypandoc is dependency heavy and it isn't needed for build.

MarcinWieczorek commented on 2017-11-14 18:03

Please rename the tarball to ${pkgname}-${pkgver}.tar.gz

bluec0re commented on 2015-12-11 16:52

Thanks! You are the maintainer so I have to say thank you for adding the prefix :)